Package Details: pgcli 3.0.0-2

Git Clone URL: https://aur.archlinux.org/pgcli.git (read-only, click to copy)
Package Base: pgcli
Description: a command line interface for Postgres with auto-completion and syntax highlighting
Upstream URL: http://pgcli.com/
Keywords: dbcli postgres
Licenses: BSD
Conflicts: pgcli-git
Provides: pgcli
Submitter: fzerorubigd
Maintainer: tomi77
Last Packager: tomi77
Votes: 42
Popularity: 0.62
First Submitted: 2016-03-16 16:15
Last Updated: 2020-10-29 17:11

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

asm0dey commented on 2018-09-04 13:01

@rodweb have no any idea. Is it fresh installation?

rodweb commented on 2018-09-04 12:53

any tips on what's happening?

Traceback (most recent call last):
  File "/usr/bin/pgcli", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3105, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3089, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3118, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 578, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 895, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 781, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'pgcli==1.10.3' distribution was not found and is required by the application

asm0dey commented on 2018-08-01 12:37

@blueyed fixed

blueyed commented on 2018-07-30 09:13

Currently broken due to requiring pgspecial 1.11.2 (https://aur.archlinux.org/packages/python-pgspecial/). Flagged it out of date, but it would be good if that would not happen, of course.

asm0dey commented on 2018-07-26 09:58

@dchusovitin done. But are you sure it's needed?

dchusovitin commented on 2018-07-26 08:12

Please add python-dbus to dependencies

asm0dey commented on 2018-07-22 18:18

@ArteS looks like it's nothing to do with pgcli itself.

ArteS commented on 2018-07-22 10:49

Try it:
pacman -Rsn pgcli
yaourt -S pglci
Now:
ERROR:dbus.proxies:Introspect error on :1.1537:/modules/kwalletd5: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Message recipient disconnected from message bus without replying
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/keyring/backends/kwallet.py", line 88, in connected
    self.iface.networkWallet(), wId, self.appid)
  File "/usr/lib/python3.6/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(∗args, ∗∗keywords)
  File "/usr/lib/python3.6/site-packages/dbus/proxies.py", line 145, in __call__
    ∗∗keywords)
  File "/usr/lib/python3.6/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.1537 was not provided by any .service files

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/pgcli", line 11, in <module>
    load_entry_point('pgcli==1.10.1', 'console_scripts', 'pgcli')()
  File "/usr/lib/python3.6/site-packages/click/core.py", line 722, in __call__
    return self.main(∗args, ∗∗kwargs)
  File "/usr/lib/python3.6/site-packages/click/core.py", line 697, in main
    rv = self.invoke(ctx)
  File "/usr/lib/python3.6/site-packages/click/core.py", line 895, in invoke
    return ctx.invoke(self.callback, ∗∗ctx.params)
  File "/usr/lib/python3.6/site-packages/click/core.py", line 535, in invoke
    return callback(∗args, ∗∗kwargs)
  File "/usr/lib/python3.6/site-packages/pgcli/main.py", line 1015, in cli
    pgcli.connect(database, host, user, port)
  File "/usr/lib/python3.6/site-packages/pgcli/main.py", line 418, in connect
    passwd = keyring.get_password('pgcli', key)
  File "/usr/lib/python3.6/site-packages/keyring/core.py", line 41, in get_password
    return _keyring_backend.get_password(service_name, username)
  File "/usr/lib/python3.6/site-packages/keyring/backends/kwallet.py", line 100, in get_password
    if not self.connected(service):
  File "/usr/lib/python3.6/site-packages/keyring/backends/kwallet.py", line 90, in connected
    raise InitError('Failed to open keyring: %s.' % e)
keyring.errors.InitError: Failed to open keyring: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.1537 was not provided by any .service files.

asm0dey commented on 2018-07-22 10:31

@ArteS could you try to install once again please?

ArteS commented on 2018-07-22 10:25

After update:
Traceback (most recent call last):
  File "/usr/bin/pgcli", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3095, in <module>
    @_call_aside
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3079, in _call_aside
    f(args, *kwargs)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3108, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 570, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 888, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 774, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'keyring>=11.0.0' distribution was not found and is required by pgcli